For the complete documentation index, see llms.txt. This page is also available as Markdown.

get__v2_stats_policies_tokens

GET /v2/stats/policies/tokens

Get Policy Token Stats

Dedicated policy-token consumption time-series.

Parameters

Name
In
Type
Required
Description

scope

query

string

true

Scope level: org, workspace, or repo

id

query

string

false

Required when scope is workspace or repo

window

query

string

true

Time window, e.g. 24h, 7d, 30d

timeBucketSize

query

string

false

Time grouping size, e.g., 1h, 1d

TypeScript Client Library

// Using the Flashgate TypeScript client
import { FlashgateClient } from '@flashgatetech/flashgateclient';

const client = new FlashgateClient({
  accessToken: 'your-access-token'
});

try {
  const result = await client.getPolicyTokenStats({
    scope: 'org',
    id: 'org-id',
    window: '24h'});
  console.log('Get Policy Token Stats:', result);
} catch (error) {
  console.error('Failed to retrieve get policy token stats:', error);
}

Code Samples

Example responses 200 Response

Responses

Status
Meaning
Description
Schema

200

Successful request

Inline

400

Invalid request parameters

Inline

500

Internal server error

Inline

Response Schema

Status Code 200

Name
Type
Required
Restrictions
Description

» success

boolean

true

none

Indicates if the request was successful

» meta

object

true

none

Metadata for the response

» summary

object

true

none

Statistical summary

» series

[object]

true

none

Array of time-series points

»» ts

integer

true

none

Unix timestamp

»» policyTokensIn

integer

true

none

Policy input tokens

»» policyTokensOut

integer

true

none

Policy output tokens

Status Code 400

Name
Type
Required
Restrictions
Description

» success

boolean

true

none

Always false for error responses

» message

string

true

none

Error message

Status Code 500

Name
Type
Required
Restrictions
Description

» success

boolean

true

none

Always false for error responses

» message

string

true

none

Error message

Last updated

Was this helpful?